Skip To Content

ArcGIS Enterprise 11.3 system requirements

The system and hardware requirements to run ArcGIS Enterprise SDK are listed below.

It is recommended that you review the deprecation notice to determine whether your hardware and software components are still compatible with the current ArcGIS version.

Operating system requirements

The following 64-bit operating systems satisfy the minimum operating system requirements. Support is not provided for 32-bit operating systems; the setup will only proceed if the operating system is 64-bit.

Supported operating systemLatest update or service pack tested

Windows Server 2022 Standard and Datacenter

April 2024 update

Windows Server 2019 Standard and Datacenter

April 2024 update

Windows Server 2016 Standard and Datacenter

April 2024 update

Supported operating systemLatest update or service pack tested

Windows 11 Pro and Enterprise

April 2024 update

Windows 10 Pro and Enterprise

April 2024 update

Note:
  • Prior and future updates or service packs for these operating system versions are supported unless otherwise stated. The operating system version and updates must also be supported by the operating system provider.
  • ArcGIS is only supported on 64 bit CPUs with x86-64 architecture.
  • The Desktop Experience option is required on all versions of Windows Server.
  • Windows 11 and 10 are supported for basic testing and application development use only.
  • Machines with an underscore (_) in their names are not supported. Several widely used internet host name specifications have designated the underscore character as nonstandard. Although Microsoft Windows allows you to use the underscore in a machine name, it can still cause problems when you interact with other servers and platforms. For this reason, the installation will not proceed on servers that have an underscore in the host name.
  • You cannot install on domain controllers. Installing on a domain controller may adversely affect functionality.

Disk space requirements

Enterprise SDK with all features for .NET on Microsoft Windows requires approximately 550 MB of disk space.

Enterprise SDK with all features for Java requires approximately 250 MB of disk space.

Enterprise SDK with all features for NodeJS requires approximately 500 MB of disk space.

Developer solutions (SDK) requirements

Development platformSupported and recommended IDE SDK requirement

.NET

Visual Studio templates (which contain boilerplate code) are provided with Enterprise SDK for the .NET Platform and are supported in the IDE listed below.

  • Microsoft Visual Studio 2022 (C#, VB.NET) Community, Professional, Enterprise

ArcGIS Server is required when deploying an SOE and ArcGIS Pro is required when publishing map services. However, ArcGIS Server and ArcGIS Pro do not need to be installed on the same machine where the ArcGIS Enterprise SDK is installed; they can be on remote machines.

.NET SDK 8 (x64)

Java

ArcGIS Enterprise SDK uses the Maven framework for Java project build and management. Most Java IDE that support the Maven framework and JDK 11 can be used, such as IntelliJ IDEA, Eclipse IDE, or NetBeans. The documented and recommended IDE are as follows:

  • IntelliJ IDEA Ultimate (version 2023.3.X or later)
  • IntelliJ IDEA Community (version 2023.3.X or later)
  • Eclipse IDE for Java Developers (v version 2023-09 or 2023-12)
  • Eclipse IDE for Java EE Developers (version 2023-09 or 2023-12)

ArcGIS Server is required to deploy an SOE or SOI and ArcGIS Pro is required to publish services. However, ArcGIS Server and ArcGIS Pro do not need to be installed on the same machine where the ArcGIS Enterprise SDK is installed; they can be on remote machines.

Java Development Kit (JDK) version 17.0.10 or later versions of JDK 17 are supported when building SOE and SOI. Building SOE or SOI with Java 18 or later is not supported.

Maven 3.8.8 or later is supported.

NodeJS

Any IDE

ArcGIS Server is required to deploy a custom data package file (.cdpk). ArcGIS

ArcGIS Server Custom Data Feeds must also be installed on the same machine where ArcGIS Server is installed. However, ArcGIS Server and ArcGIS Enterprise SDK can be on different machines.

NodeJS runtime version 18.17.0 must be installed on the machine before installing ArcGIS Enterprise SDK..